Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# usb-common.h File Reference

Go to the source code of this file.

## Functions
pointer | usbCreatePrivate (DeviceIntPtr pDevice)
void | usbDestroyPrivate (pointer priv)
void | usbInit (DevicePtr pDev, usbType type)
void | usbOff (DevicePtr pDev)

## Detailed Description

Interface to common USB support.

See also:
  usb-common.c

  usb-mouse.c

  usb-keyboard.c

  usb-other.c

## Function Documentation

pointer usbCreatePrivate | ( | DeviceIntPtr | pDevice | ) |

| Create a private structure for use within this file.

void usbDestroyPrivate | ( | pointer | priv | ) |

| Destroy a private structure.

void usbInit | ( | DevicePtr | pDev,
|  | usbType | type
| ) |

| Initialized pDev as a usbMouse, usbKeyboard, or usbOther device.

void usbOff | ( | DevicePtr | pDev | ) |

| Turn pDev off (i.e., stop taking input from pDev).